package cokr.xit.fims.epst.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Component;

import cokr.xit.fims.epst.EpostDlvrRslt;
import cokr.xit.fims.epst.EpostQuery;
import cokr.xit.fims.epst.dao.EpostDlvrRsltMapper;
import cokr.xit.foundation.component.AbstractBean;
import cokr.xit.foundation.data.DataObject;

/**전자우편 배달 결과 정보 관리 Bean
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2024-01-05	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Component("epostDlvrRsltBean")
public class EpostDlvrRsltBean extends AbstractBean {

	/** 전자우편 배달 결과 정보 DAO */
	@Resource(name = "epostDlvrRsltMapper")
	private EpostDlvrRsltMapper epostDlvrRsltMapper;

	/**지정한 조건에 따라 전자우편 배달 결과 목록을 조회하여 반환한다.
	 * @param req 전자우편 배달 결과 조회 조건
	 * @return 전자우편 배달 결과 목록
	 */
	public List<DataObject> getEpostDlvrRsltList(EpostQuery req) {
		return epostDlvrRsltMapper.selectEpostDlvrRsltList(req);
	}

	/**지정한 조건에 따라 전자우편 배달 결과 객체들을 반환한다.
	 * @param req 전자우편 배달 결과 조회 조건
	 * @return 전자우편 배달 결과 객체 목록
	 */
	public List<DataObject> getEpostDlvrRslts(EpostQuery req) {
		return epostDlvrRsltMapper.selectEpostDlvrRslts(req);
	}

	/**전자우편 배달 결과 정보를 등록한다.
	 * @param epostDlvrRslt 전자우편 배달 결과
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean create(EpostDlvrRslt epostDlvrRslt) {
		return epostDlvrRsltMapper.insert(epostDlvrRslt);
	}

	/**전자우편 배달 결과 정보를 수정한다.
	 * @param epostDlvrRslt 전자우편 배달 결과
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean update(EpostDlvrRslt epostDlvrRslt) {
		return epostDlvrRsltMapper.update(epostDlvrRslt);
	}

	/**전자우편 배달 결과 정보를 삭제한다.
	 * @param epostDlvrRslt 전자우편 배달 결과
	 * @return 저장 여부
	 * <ul><li>저장됐으면 true</li>
	 *     <li>그렇지 않으면 false</li>
	 * </ul>
	 */
	public boolean remove(EpostDlvrRslt epostDlvrRslt) {
		return epostDlvrRsltMapper.delete(epostDlvrRslt);
	}

}
